import { test, expect } from 'vitest';
import { updateBattle } from './api.js';

test('lost, wave 1', () => {
	const result = updateBattle(
		{
			battles: [{ id: 1, wave: 1, status: 'ongoing' }],
		},
		1,
		'lost',
	);

	expect(result).toHaveProperty('battles.0.wave', 2);
	expect(result).toHaveProperty('battles.0.status', 'ongoing');
});

test('lost, wave 2', () => {
	const result = updateBattle(
		{
			battles: [{ id: 1, wave: 2, status: 'ongoing' }],
		},
		1,
		'lost',
	);

	expect(result).toHaveProperty('battles.0.status', 'lost');
});
